package com.bocloud.cmp.provider.agile.sfc;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.sfc.AgileSfcContractModel;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AgileSfcContractProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/6/28 14:55
 */
public interface SfcContractProvider extends SuperProvider {
    default BocloudResult<List<AgileSfcContractModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileSfcContractModel> create(AgileSfcContractModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileSfcContractModel> modify(AgileSfcContractModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileSfcContractModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}